/* Copyright 1990 by Christopher A. Wichura.
   See file GIFMachine.doc for full description of rights.
*/

#include <exec/types.h>
#include <intuition/intuition.h>
#include <graphics/text.h>
#include <proto/exec.h>
#include <proto/intuition.h>

static struct TextAttr TOPAZ60 = {"topaz.font", TOPAZ_SIXTY,
	FS_NORMAL, FPF_ROMFONT};

static struct IntuiText BodyText2 = {-1, -1,    /* pen numbers */
                             0,             /* draw mode */
                             9,14,          /* starting offsets */
                             &TOPAZ60,      /* text attribute pointer */
                             "for CLI use only!",
                             NULL };

static struct IntuiText BodyText1 = {-1,-1,      /* pen numbers */
                             0,             /* draw mode */
                             29,4,          /* starting offsets */
                             &TOPAZ60,      /* text attribute pointer */
                             "GIFMachine is",
                             &BodyText2 };

static struct IntuiText ContinueText = {-1,-1,  /* pen numbers */
                             0,             /* draw mode */
                             4,4,           /* starting offsets */
                             &TOPAZ60,      /* text attribute pointer */
                             "CONTINUE",
                             NULL };

void WarnMustUseCLI(void)
{
	BOOL	OpenedIntui;

	if (IntuitionBase)
		OpenedIntui = FALSE;
	else {
		if (!(IntuitionBase = OpenLibrary("intuition.library", 0)))
			return;
		OpenedIntui = TRUE;
	}

	AutoRequest(NULL,&BodyText1,NULL,&ContinueText,0,0,220,64);

	if (OpenedIntui)
		CloseLibrary(IntuitionBase);
}
